#include <NewPing.h>
 
 //Capteur ultrason data
#define PinEcho     A0 // broche Echo sur pin Digital 12
#define PinTrigger  A1 // broche Trigger sur pin Digital11
#define distanceMax 400 // définition de la distance maximale de captation en centimètres.
int echoPin = 5;
int trigPin = 10;
NewPing sonar(PinTrigger, PinEcho, distanceMax); // initialisation de la fonction de sonar de notre bibliothèque

int pingLap = 50; // temps entre chaque pulsation en millisecondes.
long pingTimer;     // minuterie entre chaque pulsation.
int distance = 100;
int distanceBefore;
int distanceAfter;
 
void setup() {
  Serial.begin(9600);
  pingTimer = millis(); // initialisation de la minuterie.
}
 
void loop(){
   if (millis() >= pingTimer)
  {
    pingTimer += pingLap;
    sonar.ping_timer(echoSonar); // fonction de vérification des conditions.
    echoSonar();
  }
}

void echoSonar() {
  if (sonar.check_timer()) // fonction de vérification de la minuterie.
  {
    distance = sonar.convert_cm(sonar.ping_result);
    Serial.println(distance); 
  }
  if(distance != distanceBefore){
      distanceBefore = distance;
    }
}
